org.appng.xml.platform

## Class PlatformConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.PlatformConfig

- All Implemented Interfaces:
    Serializable

      public class PlatformConfig
      extends BaseObject
      implements Serializable

  The configuration for the owning `Platform`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Authentications` | `authentications`
    `protected String` | `baseUrl`
    `protected String` | `currentUrl`
    `protected Boolean` | `debug`
    `protected Labels` | `labels`
    `protected Output` | `output`
    `protected List<OutputFormat>` | `outputFormat`
    `protected String` | `platformUrl`
    `protected SessionInfo` | `session`
    `protected Textelements` | `textelements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Authentications` | `getAuthentications()` Gets the value of the authentications property.
    `String` | `getBaseUrl()` Gets the value of the baseUrl property.
    `String` | `getCurrentUrl()` Gets the value of the currentUrl property.
    `Labels` | `getLabels()` Gets the value of the labels property.
    `Output` | `getOutput()` Gets the value of the output property.
    `List<OutputFormat>` | `getOutputFormat()` Gets the value of the outputFormat property.
    `String` | `getPlatformUrl()` Gets the value of the platformUrl property.
    `SessionInfo` | `getSession()` Gets the value of the session property.
    `Textelements` | `getTextelements()` Gets the value of the textelements property.
    `Boolean` | `isDebug()` Gets the value of the debug property.
    `void` | `setAuthentications(Authentications value)` Sets the value of the authentications property.
    `void` | `setBaseUrl(String value)` Sets the value of the baseUrl property.
    `void` | `setCurrentUrl(String value)` Sets the value of the currentUrl property.
    `void` | `setDebug(Boolean value)` Sets the value of the debug property.
    `void` | `setLabels(Labels value)` Sets the value of the labels property.
    `void` | `setOutput(Output value)` Sets the value of the output property.
    `void` | `setPlatformUrl(String value)` Sets the value of the platformUrl property.
    `void` | `setSession(SessionInfo value)` Sets the value of the session property.
    `void` | `setTextelements(Textelements value)` Sets the value of the textelements property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### labels

          protected Labels labels

    - #### outputFormat

          protected List<OutputFormat> outputFormat

    - #### authentications

          protected Authentications authentications

    - #### session

          protected SessionInfo session

    - #### platformUrl

          protected String platformUrl

    - #### baseUrl

          protected String baseUrl

    - #### currentUrl

          protected String currentUrl

    - #### output

          protected Output output

    - #### textelements

          protected Textelements textelements

    - #### debug

          protected Boolean debug

  - ### Constructor Detail

    - #### PlatformConfig

          public PlatformConfig()

  - ### Method Detail

    - #### getLabels

          public Labels getLabels()

      Gets the value of the labels property.
      Returns:
        possible object is `Labels`

    - #### setLabels

          public void setLabels(Labels value)

      Sets the value of the labels property.
      Parameters:
        `value` - allowed object is `Labels`

    - #### getOutputFormat

          public List<OutputFormat> getOutputFormat()

      Gets the value of the outputFormat property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outputFormat property.

      For example, to add a new item, do as follows:

              getOutputFormat().add(newItem);

      Objects of the following type(s) are allowed in the list `OutputFormat`

    - #### getAuthentications

          public Authentications getAuthentications()

      Gets the value of the authentications property.
      Returns:
        possible object is `Authentications`

    - #### setAuthentications

          public void setAuthentications(Authentications value)

      Sets the value of the authentications property.
      Parameters:
        `value` - allowed object is `Authentications`

    - #### getSession

          public SessionInfo getSession()

      Gets the value of the session property.
      Returns:
        possible object is `SessionInfo`

    - #### setSession

          public void setSession(SessionInfo value)

      Sets the value of the session property.
      Parameters:
        `value` - allowed object is `SessionInfo`

    - #### getPlatformUrl

          public String getPlatformUrl()

      Gets the value of the platformUrl property.
      Returns:
        possible object is `String`

    - #### setPlatformUrl

          public void setPlatformUrl(String value)

      Sets the value of the platformUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBaseUrl

          public String getBaseUrl()

      Gets the value of the baseUrl property.
      Returns:
        possible object is `String`

    - #### setBaseUrl

          public void setBaseUrl(String value)

      Sets the value of the baseUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCurrentUrl

          public String getCurrentUrl()

      Gets the value of the currentUrl property.
      Returns:
        possible object is `String`

    - #### setCurrentUrl

          public void setCurrentUrl(String value)

      Sets the value of the currentUrl property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOutput

          public Output getOutput()

      Gets the value of the output property.
      Returns:
        possible object is `Output`

    - #### setOutput

          public void setOutput(Output value)

      Sets the value of the output property.
      Parameters:
        `value` - allowed object is `Output`

    - #### getTextelements

          public Textelements getTextelements()

      Gets the value of the textelements property.
      Returns:
        possible object is `Textelements`

    - #### setTextelements

          public void setTextelements(Textelements value)

      Sets the value of the textelements property.
      Parameters:
        `value` - allowed object is `Textelements`

    - #### isDebug

          public Boolean isDebug()

      Gets the value of the debug property.
      Returns:
        possible object is `Boolean`

    - #### setDebug

          public void setDebug(Boolean value)

      Sets the value of the debug property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.